<template>
      <img class="profile-image text-center wow fadeInUp" data-wow-delay="0.2s" 
        style="visibility: visible; animation-delay: 0.2s; animation-name: fadeInUp;" :src=src />
</template>

<script>
export default {
  name: "ImageProfile",
  props: ["icon", "src", "size"]
};
</script>

<style lang="scss">
@import '@/assets/custom-vars.scss';


.profile-image {
    height: 17rem;
    border: 1px solid #eff2f6;
    padding: 2rem;
    border-radius: $border-radius;
    -webkit-transition-duration: 800ms;
    -o-transition-duration: 800ms;
    transition-duration: 800ms;
    margin: 1.5rem;
}

.profile-image:hover {
    -webkit-box-shadow: 0 10px 90px rgba(0, 0, 0, 0.08);
            box-shadow: 0 10px 90px rgba(0, 0, 0, 0.08);
}


</style>